## glue-1.47.1.tar.gz

=== test/Makefile ===
check : glue_ligolw_ilwd_verify iterutils_verify lal_verify ligolw_test01 ligolw_test03a ligolw_test03b ligolw_test03c ligolw_test04 ligolw_test05 ligolw_sqlite_test offsetvector_verify segmentsUtils_verify segments_verify test_ligolw_table test_ligolw_tokenizer test_ligolw_utils
	@echo "All Tests Passed"

define printpassfail
	{ echo "Pass" ; true ; } || { echo "Fail" ; false ; }
endef

SERVEFILESPORT := 16543

define servefilesstart
	{ python -c "import SocketServer, SimpleHTTPServer ; SocketServer.TCPServer(('127.0.0.1', $(SERVEFILESPORT)), SimpleHTTPServer.SimpleHTTPRequestHandler).serve_forever()" & sleep 1 ; }
endef
define servefilesstop
	{ killall python ; sleep 1 ; true ; }
endef

glue_ligolw_ilwd_verify :
	@echo "=== start glue_ligolw_ilwd_verify ===>"
	python glue_ligolw_ilwd_verify.py && $(printpassfail)
	@echo "<=== end glue_ligolw_ilwd_verify ==="

iterutils_verify :
	@echo "=== start iterutils_verify ===>"
	python iterutils_verify.py && $(printpassfail)
	@echo "<=== end iterutils_verify ==="

lal_verify :
	@echo "=== start lal_verify ===>"
	python lal_verify.py && $(printpassfail)
	@echo "<=== end lal_verify ==="

ligolw_test01 :
	@echo "=== start ligolw_test01 ===>"
	# test reading array data from a file
	python ligo_lw_test_01.py && $(printpassfail)
	@echo "<=== end ligolw_test01 ==="

ligolw_test03a :
	@echo "=== start ligolw_test03a ===>"
	# test reading compressed and non-compressed files from stdin
	{ cat inspiral_event_id_test_in1.xml.gz | ligolw_print >/dev/null ; } && $(printpassfail)
	{ cat inspiral_event_id_test_in2.xml | ligolw_print >/dev/null ; } && $(printpassfail)
	@echo "<=== end ligolw_test03a ==="

ligolw_test03b :
	@echo "=== start ligolw_test03b ===>"
	# test reading compressed and non-compressed files
	ligolw_print inspiral_event_id_test_in1.xml.gz >/dev/null && $(printpassfail)
	ligolw_print inspiral_event_id_test_in2.xml >/dev/null && $(printpassfail)
	@echo "<=== end ligolw_test03b ==="

ligolw_test03c :
	@echo "=== start ligolw_test03c ===>"
	# test reading compressed and non-compressed files from http:// URLs
	$(servefilesstart) && { ligolw_print http://127.0.0.1:$(SERVEFILESPORT)/inspiral_event_id_test_in1.xml.gz >/dev/null && $(printpassfail) ; } ; $(servefilesstop)
	$(servefilesstart) && { ligolw_print http://127.0.0.1:$(SERVEFILESPORT)/inspiral_event_id_test_in2.xml >/dev/null && $(printpassfail) ; } ; $(servefilesstop)
	@echo "<=== end ligolw_test03c ==="

ligolw_test04 :
	@echo "=== start ligolw_test04 ===>"
	{ ligolw_cut --delete-table sngl_inspiral <inspiral_event_id_test_in1.xml.gz | cmp ligolw_cut_proof.xml ; } && $(printpassfail)
	@echo "<=== end ligolw_test04 ==="

ligolw_test05 :
	@echo "=== start ligolw_test05 ===>"
	# make sure XML writing code compresses files
	FILENAME=$(shell mktemp --suffix .xml.gz) && { ligolw_add --output $${FILENAME} ligolw_sqlite_test_input.xml.gz && gunzip --test $${FILENAME} && $(printpassfail) ; } ; rm -f $${FILENAME}
	@echo "<=== end ligolw_test05 ==="

ligolw_sqlite_test :
	@echo "=== start ligolw_sqlite_test ===>"
	sh ligolw_sqlite_test.sh && $(printpassfail)
	@echo "<=== end ligolw_sqlite_test ==="

offsetvector_verify :
	@echo "=== start offsetvector_verify ===>"
	python offsetvector_verify.py && $(printpassfail)
	@echo "<=== end offsetvector_verify ==="

segmentsUtils_verify :
	@echo "=== start segmentsUtils_verify ===>"
	python segmentsUtils_verify.py && $(printpassfail)
	@echo "<=== end segmentsUtils_verify ==="

segments_verify :
	@echo "=== start segments_verify ===>"
	python segments_verify.py && $(printpassfail)
	@echo "<=== end segments_verify ==="

test_ligolw_table :
	@echo "=== start test_ligolw_table ===>"
	./test_ligolw_table.py && $(printpassfail)
	@echo "<=== end test_ligolw_table ==="

test_ligolw_tokenizer :
	@echo "=== start test_ligolw_tokenizer ===>"
	./test_ligolw_tokenizer.py && $(printpassfail)
	@echo "<=== end test_ligolw_tokenizer ==="

test_ligolw_utils :
	@echo "=== start test_ligolw_utils ===>"
	./test_ligolw_utils.py && $(printpassfail)
	@echo "<=== end test_ligolw_utils ==="

clean :
	rm -f ligo_lw_test_01*png

=== debian/changelog ===
glue (1.47.1-1) unstable; urgency=low

  * ER6 pre-release of glue, bug fix for dmt-files method of
    ligolw_segment_query for Kipp API change.

 -- Ryan Fisher <rpfisher@syr.edu>  Wed, 19 Nov 2014 16:14:00 -0500

glue (1.47-1) unstable; urgency=low

  * ER6 pre-release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 13 Nov 2014 16:14:00 -0500

glue (1.46.2-1) unstable; urgency=low

  * Making new version to match tag number.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 6 May 2014 14:14:00 -0500

glue (1.46.1-1) unstable; urgency=low

  * Adding glue.datafind to debian package. 

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 6 May 2014 11:14:00 -0500

glue (1.46-1) unstable; urgency=low

  * ER5 release of glue. 

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 3 Dec 2013 4:00:00 -0500

glue (1.45.1) unstable; urgency=low

  * ER4 release of glue, with spec file match. 

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 2 Jul 2013 10:50:00 -0500

glue (1.45) unstable; urgency=low

  * ER4 release of glue. 

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 2 Jul 2013 10:23:00 -0500

glue (1.44.1) unstable; urgency=low

  * Post ER3 release of glue for pegasus 4.2 transition, added new RFC Proxy
    support. 

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 7 Mar 2013 17:43:00 -0500

glue (1.44) unstable; urgency=low

  * Post ER3 release of glue for pegasus 4.2 transition. 

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 1 Mar 2013 12:30:00 -0500

glue (1.43-1) unstable; urgency=low

  * Converted to source format 3.0 (quilt)
  * Versioned dependencies on -common and -segments

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Tue, 20 Nov 2012 10:35:00 +0100

glue (1.43) unstable; urgency=low

  * New Release of glue for ER3 with updates to ligolw and lal codes. 

 -- Ryan Fisher <rpfisher@syr.edu>  Mon, 19 Nov 2012 16:59:00 -0500

glue (1.42-1) unstable; urgency=low

  * Converted to source format 3.0 (quilt)

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Wed, 5 Sep 2012 09:20:00 +0200

glue (1.42) unstable; urgency=low

  * New Release of glue with upgrades and bugfixes to segment database
    infrastructure. 

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 4 Sep 2012 11:36:00 -0500

glue (1.41-3) unstable; urgency=low

  * Move to simplified rules file
  * Update to machine-parsable copyright file
  * Bump standards version (3.9.3)
  * Remove version build dependency on python-all-dev

 -- Jameson Rollins <jameson.rollins@ligo.org>  Thu, 28 Jun 2012 17:06:51 -0700

glue (1.41-2) unstable; urgency=low

  * Add *.dirs and *.install files to get non-empty packages

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Thu, 28 Jun 2012 09:22:00 +0200

glue (1.41) unstable; urgency=low

  * Pre-ER2 release of glue with Kipp's bugfixes and fixed debian packaging.

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 22 June 2012 14:46:00 -0500

glue (1.40) unstable; urgency=low

  * Pre-ER2 release of glue with Kipp's bugfixes and fixed debian packaging. 

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 22 June 2012 11:22:00 -0500

glue (1.39.2-4) unstable; urgency=low

  * build using debhelper 7 and python2

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Thu, 14 Jun 2012 09:05:00 +0200

glue (1.39.2-1) unstable; urgency=low

  * Obey debian/pyversions (build for 2.6 and up only)

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Mon, 21 May 2012 09:45:00 +0200

glue (1.39.2) unstable; urgency=low

  * Bugfix release of 1.39 labelled 1.39.2, fixes ligolw URL reading,
    packaging issues.

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 18 May 2012 10:22:00 -0500

glue (1.39.1) unstable; urgency=low

  * Bugfix release of 1.39 labelled 1.39.1

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 11 May 2012 10:00:00 -0500

glue (1.39) unstable; urgency=low

  * Initial release of 1.39

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 10 May 2012 17:11:00 -0500

glue (1.38) unstable; urgency=low

  * Initial release of 1.38

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 12 Apr 2012 15:22:00 -0500

glue (1.37.1) unstable; urgency=low

  * Bugfix release of 1.37 labelled 1.37.1

 -- Ryan Fisher <rpfisher@syr.edu>  Wed, 17 Jan 2012 11:02:00 -0500

python-glue (1.37) unstable; urgency=low

  * Initial release of 1.37

 -- Ryan Fisher <rpfisher@syr.edu>  Wed, 16 Nov 2011 13:43:00 -0500

python-glue (1.36-2.2+squeeze3) unstable; urgency=low

  * 1.36 multi-package build for Squeeze
  * more clean-ups

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Tue, 15 Nov 2011 16:45:00 +0100

python-glue (1.36-1.1+squeeze2) unstable; urgency=low

  * 1.36 build for Squeeze

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Thu, 27 Oct 2011 09:30:00 +0200

python-glue (1.36) unstable; urgency=low

  * Initial release of 1.36

 -- Ryan Fisher <rpfisher@syr.edu>  Mon, 10 Oct 2011 14:03:00 -0500

python-glue (1.35) unstable; urgency=low

  * Initial release of 1.35

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 7 Oct 2011 15:31:00 -0500

python-glue (1.34) unstable; urgency=low

  * Initial release of 1.34

 -- Ryan Fisher <rpfisher@syr.edu>  Wed, 29 Sep 2011 16:31:00 -0500

python-glue (1.33) unstable; urgency=low

  * Initial release of 1.33

 -- Peter Couvares <pfcouvar@syr.edu>  Wed, 15 Sep 2010 16:04:10 +0000

python-glue (1.32) unstable; urgency=low

  * Initial release of 1.32

 -- Duncan Brown <dabrown@physics.syr.edu>  Mon, 28 Jun 2010 14:00:00 -0500

python-glue (1.31) unstable; urgency=low

  * Initial release of 1.31

 -- Duncan Brown <dabrown@physics.syr.edu>  Fri, 18 Jun 2010 14:00:00 +0100

python-glue (1.30) unstable; urgency=low

  * Initial release of 1.30

 -- Duncan Brown <dabrown@physics.syr.edu>  Thu, 22 Apr 2010 11:30:00 -0500

python-glue (1.29) unstable; urgency=low

  * Initial release of 1.29

 -- Duncan Brown <dabrown@physics.syr.edu>  Wed, 11 Nov 2009 18:30:00 -0500

python-glue (1.28.1-2) unstable; urgency=low

  * python version fix (c&p from 1.28-5)

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Wed, 26 Aug 2009 09:09:09 +0200



=== debian/control ===
Source: glue
Section: lscsoft
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Build-Depends: debhelper (>= 7.0.50), python-all-dev, git-core
X-Python-Version: >= 2.6
Standards-Version: 3.9.3

Package: python-glue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1), python-glue-segments (= ${Source-Version})
Recommends: python-numpy (>= 1.0), python-xml, python-pysqlite2 (>= 2.2), libsqlite3-0 (>= 3.3), pyrxp | python-pyrxp
Replaces: glue
Conflicts: glue
Description: The Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.

Package: python-glue-segments
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1), python-glue-common (= ${Source-Version})
Recommends: python-numpy (>= 1.0), python-xml, python-pysqlite2 (>= 2.2), libsqlite3-0 (>= 3.3), pyrxp | python-pyrxp
Description: The Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.
 Segments handling part.

Package: python-glue-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1)
Recommends: python-numpy (>= 1.0), python-xml, python-pysqlite2 (>= 2.2), libsqlite3-0 (>= 3.3), pyrxp | python-pyrxp
Description: The Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.
 Common routines.
